CREATE OR REPLACE VIEW combined_orders AS
SELECT 
    'canva' as source,
    id as order_id,
    date,
    phone,
    email,
    bank,
    prix as amount,
    COALESCE(status, 'pending') as status,
    COALESCE(confirmed, 0) as confirmed,
    COALESCE(cost, 0.00) as cost,
    order_id as product_id
FROM canva

UNION ALL

SELECT 
    'pack' as source,
    id as order_id,
    date,
    phone,
    email,
    bank,
    prix as amount,
    COALESCE(status, 'pending') as status,
    COALESCE(confirmed, 0) as confirmed,
    COALESCE(cost, 0.00) as cost,
    order_id as product_id
FROM pack

UNION ALL

SELECT 
    'office' as source,
    id as order_id,
    date,
    phone,
    email,
    bank,
    prix as amount,
    COALESCE(status, 'pending') as status,
    COALESCE(confirmed, 0) as confirmed,
    COALESCE(cost, 0.00) as cost,
    order_id as product_id
FROM office; 