-- Create database
USE belrtylk_analytics_db;

-- Users table for authentication
CREATE TABLE IF NOT EXISTS users (
    id INT AUTO_INCREMENT PRIMARY KEY,
    username VARCHAR(50) UNIQUE NOT NULL,
    password VARCHAR(255) NOT NULL,
    role ENUM('admin', 'user') DEFAULT 'user',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

-- Orders tables
CREATE TABLE IF NOT EXISTS canva (
    id INT AUTO_INCREMENT PRIMARY KEY,
    msg_id VARCHAR(255) NOT NULL,
    phone VARCHAR(20),
    email VARCHAR(255),
    product TEXT,
    prix FLOAT,
    bank VARCHAR(255),
    date DATE,
    status ENUM('pending', 'completed') DEFAULT 'pending',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE IF NOT EXISTS pack (
    id INT AUTO_INCREMENT PRIMARY KEY,
    msg_id VARCHAR(255) NOT NULL,
    phone VARCHAR(20),
    email VARCHAR(255),
    product TEXT,
    prix FLOAT,
    bank VARCHAR(255),
    date DATE,
    status ENUM('pending', 'completed') DEFAULT 'pending',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE IF NOT EXISTS office (
    id INT AUTO_INCREMENT PRIMARY KEY,
    msg_id VARCHAR(255) NOT NULL,
    phone VARCHAR(20),
    email VARCHAR(255),
    product TEXT,
    prix FLOAT,
    bank VARCHAR(255),
    date DATE,
    status ENUM('pending', 'completed') DEFAULT 'pending',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

-- Facebook Ads table
CREATE TABLE IF NOT EXISTS fb_ads (
    id INT AUTO_INCREMENT PRIMARY KEY,
    campaign_name VARCHAR(255) NOT NULL,
    campaign_id VARCHAR(255) NOT NULL,
    date DATE,
    cpm FLOAT,
    ctr FLOAT,
    impressions INT,
    reach INT,
    amount_spent FLOAT,
    link_clicks INT,
    conversations_started INT,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

-- Add indexes for better performance
ALTER TABLE canva ADD INDEX idx_msg_id (msg_id), ADD INDEX idx_date (date), ADD INDEX idx_phone (phone), ADD INDEX idx_email (email);
ALTER TABLE pack ADD INDEX idx_msg_id (msg_id), ADD INDEX idx_date (date), ADD INDEX idx_phone (phone), ADD INDEX idx_email (email);
ALTER TABLE office ADD INDEX idx_msg_id (msg_id), ADD INDEX idx_date (date), ADD INDEX idx_phone (phone), ADD INDEX idx_email (email);
ALTER TABLE fb_ads ADD INDEX idx_campaign_id (campaign_id), ADD INDEX idx_date (date); 