<?php
require_once 'database.php';

try {
    $db = new Database();
    $conn = $db->connect();

    // Array of tables to update
    $tables = ['canva', 'pack', 'office'];
    
    foreach ($tables as $table) {
        // Check if columns exist
        $columns = $conn->query("SHOW COLUMNS FROM $table")->fetchAll(PDO::FETCH_COLUMN);
        
        // Add confirmed column if it doesn't exist
        if (!in_array('confirmed', $columns)) {
            $conn->exec("ALTER TABLE $table ADD COLUMN confirmed TINYINT(1) DEFAULT 0");
            echo "Added 'confirmed' column to $table table\n";
        }
        
        // Add cost column if it doesn't exist
        if (!in_array('cost', $columns)) {
            $conn->exec("ALTER TABLE $table ADD COLUMN cost DECIMAL(10,2) DEFAULT 0.00");
            echo "Added 'cost' column to $table table\n";
        }

        // Check if status column exists
        $result = $conn->query("SHOW COLUMNS FROM $table LIKE 'status'");
        if ($result->rowCount() == 0) {
            // Add status column if it doesn't exist
            $conn->exec("ALTER TABLE $table ADD COLUMN status VARCHAR(20) DEFAULT 'pending'");
            echo "Added status column to $table table\n";
        }
    }
    
    echo "Database update completed successfully!\n";
} catch (PDOException $e) {
    echo "Error updating database: " . $e->getMessage() . "\n";
} 